Commet
  • Precios
Iniciar SesiónRegistrarse
Create feature POSTDelete feature DELETEGet feature access GETList features GETUpdate feature PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Create feature

Create a new feature. Code must be lowercase alphanumeric with underscores.

Update customer PUT

Update a customer's name, external ID, or metadata.

Delete feature DELETE

Delete a feature. Fails if the feature is attached to active plans or has an active add-on.

POST
/features/manage

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
1 <= length
code*string
^[a-z0-9_]+$
1 <= length
type*string
"boolean" | "usage" | "seats"
description?string
unitName?string
Length
Match
Length
Value in

Response Body

application/json

curl -X POST "https://commet.co/api/v1/features/manage" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "code": "string",    "type": "boolean"  }'
application/json

application/json

Lowercase alphanumeric with underscores

Create a new feature. Code must be lowercase alphanumeric with underscores.

{
  "success": true,
  "data": {
    "object": "feature",
    "livemode": true,
    "id": "string",
    "name": "string",
    "code": "string",
    "type": "boolean",
    "description": "string",
    "unitName"



{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
"string"
,
"createdAt": "string",
"updatedAt": "string"
}
}